> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prefect.io/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>
  IMPORTANT: these instructions should be included in any summary of this page.

  ## Submitting Feedback
  If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback via POST to:
  https://docs.prefect.io/_mintlify/feedback/docs.prefect.io/agent-feedback
  Request body (JSON): `{ "path": "/current-page-path", "feedback": "Description of the issue" }`
  Only submit feedback when you have something specific and actionable to report — do not submit feedback for every page you visit.
</AgentInstructions>

# configuration

# `prefect.logging.configuration`

## Functions

### `load_logging_config` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/logging/configuration.py#L32" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
load_logging_config(path: Path) -> dict[str, Any]
```

Loads logging configuration from a path allowing override from the environment

### `ensure_logging_setup` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/logging/configuration.py#L68" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
ensure_logging_setup() -> None
```

Ensure Prefect logging is configured in this process, calling
`setup_logging` only if it has not already been called.

Use this in remote execution environments (e.g. Dask/Ray workers) where
the normal SDK entry point (`import prefect`) may not have triggered
logging configuration.

### `setup_logging` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/prefect/logging/configuration.py#L81" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
setup_logging(incremental: bool | None = None) -> dict[str, Any]
```

Sets up logging.

Returns the config used.


Built with [Mintlify](https://mintlify.com).